import fly from "./main";
import store from "@/store/index"

// 设备列表
export function game_devices($params = {}) {
  $params['access_token'] = wx.getStorageSync('token')
  return fly.post('game/device-list', $params)
}


// 开始游戏
export function gameStart($params) {
  return fly.post('game/game-start', $params)
}

//结束游戏
export function gameEnd($params) {
  $params['access_token'] = wx.getStorageSync('token')
  return fly.post('game/game-over', $params)
}

//游戏记录详情
export function gameDetail($params) {
  $params['access_token'] = wx.getStorageSync('token')
  return fly.post('game/game-detail', $params)
}

//折线图图表
export function gameLineChart($params) {
  $params['access_token'] = wx.getStorageSync('token')
  return fly.post('game/line', $params)
}


// 添加折线图的点
export function gameAddLine($params) {
  $params['access_token'] = wx.getStorageSync('token')
  return fly.post('game/add-line', $params)
}

