import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    deviceId: "",
    serviceId: "",
    characteristicId: "",
    //游戏状态 0 不在游戏，1游戏中
    game_status: 0,
    toy_index: 0,
    toy_list: []
  },
  mutations: {
    setDeviceId(state, deviceId) {
      state.deviceId = deviceId
    },

    setServiceId(state, serviceId) {
      state.serviceId = serviceId
    },
    setCid(state, characteristicId) {
      state.characteristicId = characteristicId
    },
    setGameStatus(state, status) {
      state.game_status = status
    },
    setToyIndex(state, toy_index) {
      state.toy_index = toy_index
    },
    setToyList(state, toy_list) {
      state.toy_list = toy_list
    }
  },
  getters: {
    getDeviceId(state, getters) {
      return state.deviceId
    },
    getServiceId(state, getters) {
      return state.serviceId
    },
    getCharacterId(state, getters) {
      return state.characteristicId
    },
    getGameStatus(state) {
      return state.game_status
    },
    getToyIndex(state) {
      return state.toy_index
    },
    getToyList(state) {
      return state.toy_list
    }
  },

})
